import { buttonClassNames, __resetStyles, __styles, mergeClasses } from '@fluentui/react-components';
import { tokens, typographyStyles } from '@fluentui-copilot/tokens';
export const groundingMenuSubmenuHeaderClassNames = {
  root: 'fai-GroundingMenuSubmenuHeader',
  backButton: 'fai-GroundingMenuSubmenuHeader__backButton',
  primaryText: 'fai-GroundingMenuSubmenuHeader__primaryText',
  secondaryText: 'fai-GroundingMenuSubmenuHeader__secondaryText'
};
const useRootClassName = __resetStyles("r1b83fvl", null, [".r1b83fvl{display:grid;grid-template-rows:auto auto;grid-template-columns:auto 1fr;column-gap:var(--spacingHorizontalM);-webkit-padding-start:var(--spacingHorizontalXS);padding-inline-start:var(--spacingHorizontalXS);padding-block:var(--spacingVerticalSNudge);}"]);
const usePrimaryTextClassName = __resetStyles("rjb38va", null, [".rjb38va{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase300);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase300);}"]);
const useSecondaryTextClassName = __resetStyles("r1krduzf", null, [".r1krduzf{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase100);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase200);color:var(--colorNeutralForeground2);}"]);
const useBackButtonStyles = __styles({
  root: {
    nk6f5a: 0,
    Ijaq50: 0,
    h3tjnc: "f1sl4b4",
    qb2dma: "f7nlbp4",
    Bvtw823: "fs77nin"
  }
}, {
  d: [[".f1sl4b4{grid-row:span 2;}", {
    p: -1
  }], ".f7nlbp4{align-self:center;}"],
  m: [["@media (forced-colors: none){.fs77nin>.fui-Button__icon:not:hover{color:var(--colorNeutralForeground3);}}", {
    m: "(forced-colors: none)"
  }]]
});
/**
 * Apply styling to the GroundingMenuSubmenuHeader slots based on the state
 */
export const useGroundingMenuSubmenuHeaderStyles_unstable = state => {
  'use no memo';

  const rootClassName = useRootClassName();
  state.root.className = mergeClasses(groundingMenuSubmenuHeaderClassNames.root, rootClassName, state.root.className);
  const backButtonStyles = useBackButtonStyles();
  if (state.backButton) {
    state.backButton.className = mergeClasses(groundingMenuSubmenuHeaderClassNames.backButton, backButtonStyles.root, state.backButton.className);
  }
  const primaryTextClassName = usePrimaryTextClassName();
  if (state.primaryText) {
    state.primaryText.className = mergeClasses(groundingMenuSubmenuHeaderClassNames.primaryText, primaryTextClassName, state.primaryText.className);
  }
  const secondaryTextClassName = useSecondaryTextClassName();
  if (state.secondaryText) {
    state.secondaryText.className = mergeClasses(groundingMenuSubmenuHeaderClassNames.secondaryText, secondaryTextClassName, state.secondaryText.className);
  }
  return state;
};
//# sourceMappingURL=useGroundingMenuSubmenuHeaderStyles.styles.js.map